Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network89.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
89.0.0.0
Broadcast address
89.127.255.255
First usable
89.0.0.1
Last usable
89.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 59000000 · Integer 1493172224 to 1501560831
Reverse DNS zones
0.89.in-addr.arpa
1.89.in-addr.arpa
2.89.in-addr.arpa
3.89.in-addr.arpa
4.89.in-addr.arpa
5.89.in-addr.arpa
6.89.in-addr.arpa
7.89.in-addr.arpa
8.89.in-addr.arpa
9.89.in-addr.arpa
10.89.in-addr.arpa
11.89.in-addr.arpa
12.89.in-addr.arpa
13.89.in-addr.arpa
14.89.in-addr.arpa
15.89.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011001.00000000.00000000.0000000089.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01011001.00000000.00000000.0000000089.0.0.0
Broadcast01011001.01111111.11111111.1111111189.127.255.255
Split into smaller subnets/19

89.0.0.0/9 makes 1,024 subnets of /19; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
189.0.0.0/1989.0.0.1 to 89.0.31.25489.0.31.2558,190
289.0.32.0/1989.0.32.1 to 89.0.63.25489.0.63.2558,190
389.0.64.0/1989.0.64.1 to 89.0.95.25489.0.95.2558,190
489.0.96.0/1989.0.96.1 to 89.0.127.25489.0.127.2558,190
589.0.128.0/1989.0.128.1 to 89.0.159.25489.0.159.2558,190
689.0.160.0/1989.0.160.1 to 89.0.191.25489.0.191.2558,190
789.0.192.0/1989.0.192.1 to 89.0.223.25489.0.223.2558,190
889.0.224.0/1989.0.224.1 to 89.0.255.25489.0.255.2558,190
989.1.0.0/1989.1.0.1 to 89.1.31.25489.1.31.2558,190
1089.1.32.0/1989.1.32.1 to 89.1.63.25489.1.63.2558,190
1189.1.64.0/1989.1.64.1 to 89.1.95.25489.1.95.2558,190
1289.1.96.0/1989.1.96.1 to 89.1.127.25489.1.127.2558,190
1389.1.128.0/1989.1.128.1 to 89.1.159.25489.1.159.2558,190
1489.1.160.0/1989.1.160.1 to 89.1.191.25489.1.191.2558,190
1589.1.192.0/1989.1.192.1 to 89.1.223.25489.1.223.2558,190
1689.1.224.0/1989.1.224.1 to 89.1.255.25489.1.255.2558,190
1789.2.0.0/1989.2.0.1 to 89.2.31.25489.2.31.2558,190
1889.2.32.0/1989.2.32.1 to 89.2.63.25489.2.63.2558,190
1989.2.64.0/1989.2.64.1 to 89.2.95.25489.2.95.2558,190
2089.2.96.0/1989.2.96.1 to 89.2.127.25489.2.127.2558,190
2189.2.128.0/1989.2.128.1 to 89.2.159.25489.2.159.2558,190
2289.2.160.0/1989.2.160.1 to 89.2.191.25489.2.191.2558,190
2389.2.192.0/1989.2.192.1 to 89.2.223.25489.2.223.2558,190
2489.2.224.0/1989.2.224.1 to 89.2.255.25489.2.255.2558,190
2589.3.0.0/1989.3.0.1 to 89.3.31.25489.3.31.2558,190
2689.3.32.0/1989.3.32.1 to 89.3.63.25489.3.63.2558,190
2789.3.64.0/1989.3.64.1 to 89.3.95.25489.3.95.2558,190
2889.3.96.0/1989.3.96.1 to 89.3.127.25489.3.127.2558,190
2989.3.128.0/1989.3.128.1 to 89.3.159.25489.3.159.2558,190
3089.3.160.0/1989.3.160.1 to 89.3.191.25489.3.191.2558,190
3189.3.192.0/1989.3.192.1 to 89.3.223.25489.3.223.2558,190
3289.3.224.0/1989.3.224.1 to 89.3.255.25489.3.255.2558,190
3389.4.0.0/1989.4.0.1 to 89.4.31.25489.4.31.2558,190
3489.4.32.0/1989.4.32.1 to 89.4.63.25489.4.63.2558,190
3589.4.64.0/1989.4.64.1 to 89.4.95.25489.4.95.2558,190
3689.4.96.0/1989.4.96.1 to 89.4.127.25489.4.127.2558,190
3789.4.128.0/1989.4.128.1 to 89.4.159.25489.4.159.2558,190
3889.4.160.0/1989.4.160.1 to 89.4.191.25489.4.191.2558,190
3989.4.192.0/1989.4.192.1 to 89.4.223.25489.4.223.2558,190
4089.4.224.0/1989.4.224.1 to 89.4.255.25489.4.255.2558,190
4189.5.0.0/1989.5.0.1 to 89.5.31.25489.5.31.2558,190
4289.5.32.0/1989.5.32.1 to 89.5.63.25489.5.63.2558,190
4389.5.64.0/1989.5.64.1 to 89.5.95.25489.5.95.2558,190
4489.5.96.0/1989.5.96.1 to 89.5.127.25489.5.127.2558,190
4589.5.128.0/1989.5.128.1 to 89.5.159.25489.5.159.2558,190
4689.5.160.0/1989.5.160.1 to 89.5.191.25489.5.191.2558,190
4789.5.192.0/1989.5.192.1 to 89.5.223.25489.5.223.2558,190
4889.5.224.0/1989.5.224.1 to 89.5.255.25489.5.255.2558,190
4989.6.0.0/1989.6.0.1 to 89.6.31.25489.6.31.2558,190
5089.6.32.0/1989.6.32.1 to 89.6.63.25489.6.63.2558,190
5189.6.64.0/1989.6.64.1 to 89.6.95.25489.6.95.2558,190
5289.6.96.0/1989.6.96.1 to 89.6.127.25489.6.127.2558,190
5389.6.128.0/1989.6.128.1 to 89.6.159.25489.6.159.2558,190
5489.6.160.0/1989.6.160.1 to 89.6.191.25489.6.191.2558,190
5589.6.192.0/1989.6.192.1 to 89.6.223.25489.6.223.2558,190
5689.6.224.0/1989.6.224.1 to 89.6.255.25489.6.255.2558,190
5789.7.0.0/1989.7.0.1 to 89.7.31.25489.7.31.2558,190
5889.7.32.0/1989.7.32.1 to 89.7.63.25489.7.63.2558,190
5989.7.64.0/1989.7.64.1 to 89.7.95.25489.7.95.2558,190
6089.7.96.0/1989.7.96.1 to 89.7.127.25489.7.127.2558,190
6189.7.128.0/1989.7.128.1 to 89.7.159.25489.7.159.2558,190
6289.7.160.0/1989.7.160.1 to 89.7.191.25489.7.191.2558,190
6389.7.192.0/1989.7.192.1 to 89.7.223.25489.7.223.2558,190
6489.7.224.0/1989.7.224.1 to 89.7.255.25489.7.255.2558,190
6589.8.0.0/1989.8.0.1 to 89.8.31.25489.8.31.2558,190
6689.8.32.0/1989.8.32.1 to 89.8.63.25489.8.63.2558,190
6789.8.64.0/1989.8.64.1 to 89.8.95.25489.8.95.2558,190
6889.8.96.0/1989.8.96.1 to 89.8.127.25489.8.127.2558,190
6989.8.128.0/1989.8.128.1 to 89.8.159.25489.8.159.2558,190
7089.8.160.0/1989.8.160.1 to 89.8.191.25489.8.191.2558,190
7189.8.192.0/1989.8.192.1 to 89.8.223.25489.8.223.2558,190
7289.8.224.0/1989.8.224.1 to 89.8.255.25489.8.255.2558,190
7389.9.0.0/1989.9.0.1 to 89.9.31.25489.9.31.2558,190
7489.9.32.0/1989.9.32.1 to 89.9.63.25489.9.63.2558,190
7589.9.64.0/1989.9.64.1 to 89.9.95.25489.9.95.2558,190
7689.9.96.0/1989.9.96.1 to 89.9.127.25489.9.127.2558,190
7789.9.128.0/1989.9.128.1 to 89.9.159.25489.9.159.2558,190
7889.9.160.0/1989.9.160.1 to 89.9.191.25489.9.191.2558,190
7989.9.192.0/1989.9.192.1 to 89.9.223.25489.9.223.2558,190
8089.9.224.0/1989.9.224.1 to 89.9.255.25489.9.255.2558,190
8189.10.0.0/1989.10.0.1 to 89.10.31.25489.10.31.2558,190
8289.10.32.0/1989.10.32.1 to 89.10.63.25489.10.63.2558,190
8389.10.64.0/1989.10.64.1 to 89.10.95.25489.10.95.2558,190
8489.10.96.0/1989.10.96.1 to 89.10.127.25489.10.127.2558,190
8589.10.128.0/1989.10.128.1 to 89.10.159.25489.10.159.2558,190
8689.10.160.0/1989.10.160.1 to 89.10.191.25489.10.191.2558,190
8789.10.192.0/1989.10.192.1 to 89.10.223.25489.10.223.2558,190
8889.10.224.0/1989.10.224.1 to 89.10.255.25489.10.255.2558,190
8989.11.0.0/1989.11.0.1 to 89.11.31.25489.11.31.2558,190
9089.11.32.0/1989.11.32.1 to 89.11.63.25489.11.63.2558,190
9189.11.64.0/1989.11.64.1 to 89.11.95.25489.11.95.2558,190
9289.11.96.0/1989.11.96.1 to 89.11.127.25489.11.127.2558,190
9389.11.128.0/1989.11.128.1 to 89.11.159.25489.11.159.2558,190
9489.11.160.0/1989.11.160.1 to 89.11.191.25489.11.191.2558,190
9589.11.192.0/1989.11.192.1 to 89.11.223.25489.11.223.2558,190
9689.11.224.0/1989.11.224.1 to 89.11.255.25489.11.255.2558,190
9789.12.0.0/1989.12.0.1 to 89.12.31.25489.12.31.2558,190
9889.12.32.0/1989.12.32.1 to 89.12.63.25489.12.63.2558,190
9989.12.64.0/1989.12.64.1 to 89.12.95.25489.12.95.2558,190
10089.12.96.0/1989.12.96.1 to 89.12.127.25489.12.127.2558,190
10189.12.128.0/1989.12.128.1 to 89.12.159.25489.12.159.2558,190
10289.12.160.0/1989.12.160.1 to 89.12.191.25489.12.191.2558,190
10389.12.192.0/1989.12.192.1 to 89.12.223.25489.12.223.2558,190
10489.12.224.0/1989.12.224.1 to 89.12.255.25489.12.255.2558,190
10589.13.0.0/1989.13.0.1 to 89.13.31.25489.13.31.2558,190
10689.13.32.0/1989.13.32.1 to 89.13.63.25489.13.63.2558,190
10789.13.64.0/1989.13.64.1 to 89.13.95.25489.13.95.2558,190
10889.13.96.0/1989.13.96.1 to 89.13.127.25489.13.127.2558,190
10989.13.128.0/1989.13.128.1 to 89.13.159.25489.13.159.2558,190
11089.13.160.0/1989.13.160.1 to 89.13.191.25489.13.191.2558,190
11189.13.192.0/1989.13.192.1 to 89.13.223.25489.13.223.2558,190
11289.13.224.0/1989.13.224.1 to 89.13.255.25489.13.255.2558,190
11389.14.0.0/1989.14.0.1 to 89.14.31.25489.14.31.2558,190
11489.14.32.0/1989.14.32.1 to 89.14.63.25489.14.63.2558,190
11589.14.64.0/1989.14.64.1 to 89.14.95.25489.14.95.2558,190
11689.14.96.0/1989.14.96.1 to 89.14.127.25489.14.127.2558,190
11789.14.128.0/1989.14.128.1 to 89.14.159.25489.14.159.2558,190
11889.14.160.0/1989.14.160.1 to 89.14.191.25489.14.191.2558,190
11989.14.192.0/1989.14.192.1 to 89.14.223.25489.14.223.2558,190
12089.14.224.0/1989.14.224.1 to 89.14.255.25489.14.255.2558,190
12189.15.0.0/1989.15.0.1 to 89.15.31.25489.15.31.2558,190
12289.15.32.0/1989.15.32.1 to 89.15.63.25489.15.63.2558,190
12389.15.64.0/1989.15.64.1 to 89.15.95.25489.15.95.2558,190
12489.15.96.0/1989.15.96.1 to 89.15.127.25489.15.127.2558,190
12589.15.128.0/1989.15.128.1 to 89.15.159.25489.15.159.2558,190
12689.15.160.0/1989.15.160.1 to 89.15.191.25489.15.191.2558,190
12789.15.192.0/1989.15.192.1 to 89.15.223.25489.15.223.2558,190
12889.15.224.0/1989.15.224.1 to 89.15.255.25489.15.255.2558,190
12989.16.0.0/1989.16.0.1 to 89.16.31.25489.16.31.2558,190
13089.16.32.0/1989.16.32.1 to 89.16.63.25489.16.63.2558,190
13189.16.64.0/1989.16.64.1 to 89.16.95.25489.16.95.2558,190
13289.16.96.0/1989.16.96.1 to 89.16.127.25489.16.127.2558,190
13389.16.128.0/1989.16.128.1 to 89.16.159.25489.16.159.2558,190
13489.16.160.0/1989.16.160.1 to 89.16.191.25489.16.191.2558,190
13589.16.192.0/1989.16.192.1 to 89.16.223.25489.16.223.2558,190
13689.16.224.0/1989.16.224.1 to 89.16.255.25489.16.255.2558,190
13789.17.0.0/1989.17.0.1 to 89.17.31.25489.17.31.2558,190
13889.17.32.0/1989.17.32.1 to 89.17.63.25489.17.63.2558,190
13989.17.64.0/1989.17.64.1 to 89.17.95.25489.17.95.2558,190
14089.17.96.0/1989.17.96.1 to 89.17.127.25489.17.127.2558,190
14189.17.128.0/1989.17.128.1 to 89.17.159.25489.17.159.2558,190
14289.17.160.0/1989.17.160.1 to 89.17.191.25489.17.191.2558,190
14389.17.192.0/1989.17.192.1 to 89.17.223.25489.17.223.2558,190
14489.17.224.0/1989.17.224.1 to 89.17.255.25489.17.255.2558,190
14589.18.0.0/1989.18.0.1 to 89.18.31.25489.18.31.2558,190
14689.18.32.0/1989.18.32.1 to 89.18.63.25489.18.63.2558,190
14789.18.64.0/1989.18.64.1 to 89.18.95.25489.18.95.2558,190
14889.18.96.0/1989.18.96.1 to 89.18.127.25489.18.127.2558,190
14989.18.128.0/1989.18.128.1 to 89.18.159.25489.18.159.2558,190
15089.18.160.0/1989.18.160.1 to 89.18.191.25489.18.191.2558,190
15189.18.192.0/1989.18.192.1 to 89.18.223.25489.18.223.2558,190
15289.18.224.0/1989.18.224.1 to 89.18.255.25489.18.255.2558,190
15389.19.0.0/1989.19.0.1 to 89.19.31.25489.19.31.2558,190
15489.19.32.0/1989.19.32.1 to 89.19.63.25489.19.63.2558,190
15589.19.64.0/1989.19.64.1 to 89.19.95.25489.19.95.2558,190
15689.19.96.0/1989.19.96.1 to 89.19.127.25489.19.127.2558,190
15789.19.128.0/1989.19.128.1 to 89.19.159.25489.19.159.2558,190
15889.19.160.0/1989.19.160.1 to 89.19.191.25489.19.191.2558,190
15989.19.192.0/1989.19.192.1 to 89.19.223.25489.19.223.2558,190
16089.19.224.0/1989.19.224.1 to 89.19.255.25489.19.255.2558,190
16189.20.0.0/1989.20.0.1 to 89.20.31.25489.20.31.2558,190
16289.20.32.0/1989.20.32.1 to 89.20.63.25489.20.63.2558,190
16389.20.64.0/1989.20.64.1 to 89.20.95.25489.20.95.2558,190
16489.20.96.0/1989.20.96.1 to 89.20.127.25489.20.127.2558,190
16589.20.128.0/1989.20.128.1 to 89.20.159.25489.20.159.2558,190
16689.20.160.0/1989.20.160.1 to 89.20.191.25489.20.191.2558,190
16789.20.192.0/1989.20.192.1 to 89.20.223.25489.20.223.2558,190
16889.20.224.0/1989.20.224.1 to 89.20.255.25489.20.255.2558,190
16989.21.0.0/1989.21.0.1 to 89.21.31.25489.21.31.2558,190
17089.21.32.0/1989.21.32.1 to 89.21.63.25489.21.63.2558,190
17189.21.64.0/1989.21.64.1 to 89.21.95.25489.21.95.2558,190
17289.21.96.0/1989.21.96.1 to 89.21.127.25489.21.127.2558,190
17389.21.128.0/1989.21.128.1 to 89.21.159.25489.21.159.2558,190
17489.21.160.0/1989.21.160.1 to 89.21.191.25489.21.191.2558,190
17589.21.192.0/1989.21.192.1 to 89.21.223.25489.21.223.2558,190
17689.21.224.0/1989.21.224.1 to 89.21.255.25489.21.255.2558,190
17789.22.0.0/1989.22.0.1 to 89.22.31.25489.22.31.2558,190
17889.22.32.0/1989.22.32.1 to 89.22.63.25489.22.63.2558,190
17989.22.64.0/1989.22.64.1 to 89.22.95.25489.22.95.2558,190
18089.22.96.0/1989.22.96.1 to 89.22.127.25489.22.127.2558,190
18189.22.128.0/1989.22.128.1 to 89.22.159.25489.22.159.2558,190
18289.22.160.0/1989.22.160.1 to 89.22.191.25489.22.191.2558,190
18389.22.192.0/1989.22.192.1 to 89.22.223.25489.22.223.2558,190
18489.22.224.0/1989.22.224.1 to 89.22.255.25489.22.255.2558,190
18589.23.0.0/1989.23.0.1 to 89.23.31.25489.23.31.2558,190
18689.23.32.0/1989.23.32.1 to 89.23.63.25489.23.63.2558,190
18789.23.64.0/1989.23.64.1 to 89.23.95.25489.23.95.2558,190
18889.23.96.0/1989.23.96.1 to 89.23.127.25489.23.127.2558,190
18989.23.128.0/1989.23.128.1 to 89.23.159.25489.23.159.2558,190
19089.23.160.0/1989.23.160.1 to 89.23.191.25489.23.191.2558,190
19189.23.192.0/1989.23.192.1 to 89.23.223.25489.23.223.2558,190
19289.23.224.0/1989.23.224.1 to 89.23.255.25489.23.255.2558,190
19389.24.0.0/1989.24.0.1 to 89.24.31.25489.24.31.2558,190
19489.24.32.0/1989.24.32.1 to 89.24.63.25489.24.63.2558,190
19589.24.64.0/1989.24.64.1 to 89.24.95.25489.24.95.2558,190
19689.24.96.0/1989.24.96.1 to 89.24.127.25489.24.127.2558,190
19789.24.128.0/1989.24.128.1 to 89.24.159.25489.24.159.2558,190
19889.24.160.0/1989.24.160.1 to 89.24.191.25489.24.191.2558,190
19989.24.192.0/1989.24.192.1 to 89.24.223.25489.24.223.2558,190
20089.24.224.0/1989.24.224.1 to 89.24.255.25489.24.255.2558,190
20189.25.0.0/1989.25.0.1 to 89.25.31.25489.25.31.2558,190
20289.25.32.0/1989.25.32.1 to 89.25.63.25489.25.63.2558,190
20389.25.64.0/1989.25.64.1 to 89.25.95.25489.25.95.2558,190
20489.25.96.0/1989.25.96.1 to 89.25.127.25489.25.127.2558,190
20589.25.128.0/1989.25.128.1 to 89.25.159.25489.25.159.2558,190
20689.25.160.0/1989.25.160.1 to 89.25.191.25489.25.191.2558,190
20789.25.192.0/1989.25.192.1 to 89.25.223.25489.25.223.2558,190
20889.25.224.0/1989.25.224.1 to 89.25.255.25489.25.255.2558,190
20989.26.0.0/1989.26.0.1 to 89.26.31.25489.26.31.2558,190
21089.26.32.0/1989.26.32.1 to 89.26.63.25489.26.63.2558,190
21189.26.64.0/1989.26.64.1 to 89.26.95.25489.26.95.2558,190
21289.26.96.0/1989.26.96.1 to 89.26.127.25489.26.127.2558,190
21389.26.128.0/1989.26.128.1 to 89.26.159.25489.26.159.2558,190
21489.26.160.0/1989.26.160.1 to 89.26.191.25489.26.191.2558,190
21589.26.192.0/1989.26.192.1 to 89.26.223.25489.26.223.2558,190
21689.26.224.0/1989.26.224.1 to 89.26.255.25489.26.255.2558,190
21789.27.0.0/1989.27.0.1 to 89.27.31.25489.27.31.2558,190
21889.27.32.0/1989.27.32.1 to 89.27.63.25489.27.63.2558,190
21989.27.64.0/1989.27.64.1 to 89.27.95.25489.27.95.2558,190
22089.27.96.0/1989.27.96.1 to 89.27.127.25489.27.127.2558,190
22189.27.128.0/1989.27.128.1 to 89.27.159.25489.27.159.2558,190
22289.27.160.0/1989.27.160.1 to 89.27.191.25489.27.191.2558,190
22389.27.192.0/1989.27.192.1 to 89.27.223.25489.27.223.2558,190
22489.27.224.0/1989.27.224.1 to 89.27.255.25489.27.255.2558,190
22589.28.0.0/1989.28.0.1 to 89.28.31.25489.28.31.2558,190
22689.28.32.0/1989.28.32.1 to 89.28.63.25489.28.63.2558,190
22789.28.64.0/1989.28.64.1 to 89.28.95.25489.28.95.2558,190
22889.28.96.0/1989.28.96.1 to 89.28.127.25489.28.127.2558,190
22989.28.128.0/1989.28.128.1 to 89.28.159.25489.28.159.2558,190
23089.28.160.0/1989.28.160.1 to 89.28.191.25489.28.191.2558,190
23189.28.192.0/1989.28.192.1 to 89.28.223.25489.28.223.2558,190
23289.28.224.0/1989.28.224.1 to 89.28.255.25489.28.255.2558,190
23389.29.0.0/1989.29.0.1 to 89.29.31.25489.29.31.2558,190
23489.29.32.0/1989.29.32.1 to 89.29.63.25489.29.63.2558,190
23589.29.64.0/1989.29.64.1 to 89.29.95.25489.29.95.2558,190
23689.29.96.0/1989.29.96.1 to 89.29.127.25489.29.127.2558,190
23789.29.128.0/1989.29.128.1 to 89.29.159.25489.29.159.2558,190
23889.29.160.0/1989.29.160.1 to 89.29.191.25489.29.191.2558,190
23989.29.192.0/1989.29.192.1 to 89.29.223.25489.29.223.2558,190
24089.29.224.0/1989.29.224.1 to 89.29.255.25489.29.255.2558,190
24189.30.0.0/1989.30.0.1 to 89.30.31.25489.30.31.2558,190
24289.30.32.0/1989.30.32.1 to 89.30.63.25489.30.63.2558,190
24389.30.64.0/1989.30.64.1 to 89.30.95.25489.30.95.2558,190
24489.30.96.0/1989.30.96.1 to 89.30.127.25489.30.127.2558,190
24589.30.128.0/1989.30.128.1 to 89.30.159.25489.30.159.2558,190
24689.30.160.0/1989.30.160.1 to 89.30.191.25489.30.191.2558,190
24789.30.192.0/1989.30.192.1 to 89.30.223.25489.30.223.2558,190
24889.30.224.0/1989.30.224.1 to 89.30.255.25489.30.255.2558,190
24989.31.0.0/1989.31.0.1 to 89.31.31.25489.31.31.2558,190
25089.31.32.0/1989.31.32.1 to 89.31.63.25489.31.63.2558,190
25189.31.64.0/1989.31.64.1 to 89.31.95.25489.31.95.2558,190
25289.31.96.0/1989.31.96.1 to 89.31.127.25489.31.127.2558,190
25389.31.128.0/1989.31.128.1 to 89.31.159.25489.31.159.2558,190
25489.31.160.0/1989.31.160.1 to 89.31.191.25489.31.191.2558,190
25589.31.192.0/1989.31.192.1 to 89.31.223.25489.31.223.2558,190
25689.31.224.0/1989.31.224.1 to 89.31.255.25489.31.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses